import { ModelUtilImpl, ConditionUtil, FieldUtil } from 'model-util';
import { PpUserLocalAuthUnionPpUserV3 } from '../models/index';
/**
 * @author auto generate
 * @version 1.1
 * @date 2021-08-09 17:45
 */
interface PpUserLocalAuthUnionPpUserV3CU extends ConditionUtil<PpUserLocalAuthUnionPpUserV3CU> {
    USERID: FieldUtil<PpUserLocalAuthUnionPpUserV3CU>;
    PHONE: FieldUtil<PpUserLocalAuthUnionPpUserV3CU>;
    COMMONLPN: FieldUtil<PpUserLocalAuthUnionPpUserV3CU>;
    CREATETIME: FieldUtil<PpUserLocalAuthUnionPpUserV3CU>;
}
declare class PpUserLocalAuthUnionPpUserV3MU extends ModelUtilImpl<PpUserLocalAuthUnionPpUserV3CU, PpUserLocalAuthUnionPpUserV3> {
    joinTables: any[];
    selectSQL: string;
    tableFields: string[];
    modelFields: string[];
    createConditionUtil(): PpUserLocalAuthUnionPpUserV3CU;
    static get USERID(): FieldUtil<PpUserLocalAuthUnionPpUserV3CU>;
    static get PHONE(): FieldUtil<PpUserLocalAuthUnionPpUserV3CU>;
    static get COMMONLPN(): FieldUtil<PpUserLocalAuthUnionPpUserV3CU>;
    static get CREATETIME(): FieldUtil<PpUserLocalAuthUnionPpUserV3CU>;
    get USERID(): FieldUtil<PpUserLocalAuthUnionPpUserV3CU>;
    get PHONE(): FieldUtil<PpUserLocalAuthUnionPpUserV3CU>;
    get COMMONLPN(): FieldUtil<PpUserLocalAuthUnionPpUserV3CU>;
    get CREATETIME(): FieldUtil<PpUserLocalAuthUnionPpUserV3CU>;
}
export { PpUserLocalAuthUnionPpUserV3MU, PpUserLocalAuthUnionPpUserV3CU };
